API Runner
auth Endpoints
All endpoints for the auth API group. Great for feeding into an LLM context.
GET
/v1/auth/load
Initial Load
Responses
200Successful Response
application/json
{}404Not found
POST
/v1/auth/logout
Logout
Responses
204Successful Response
404Not found
API Runner
POST
/v1/auth/switch
Switch Org
Request Body
{
"content": {
"application/json": {
"schema": {
"additionalProperties": true,
"type": "object",
"title": "Data"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/Token"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/cli-browser-token
Generate Cli Browser Token
Generate a short-lived, single-use token to exchange for a browser session.
Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/CliBrowserTokenResponse"
}404Not found
API Runner
POST
/v1/auth/consume-cli-token
Consume Cli Browser Token
Consume a CLI exchange token and return standard web session tokens.
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConsumeCliTokenRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/Token"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/portal/login
Portal Login
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PortalLoginRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"anyOf": [
{
"$ref": "#/components/schemas/Token"
},
{
"$ref": "#/components/schemas/TwoFAResponse"
}
],
"title": "Response Portal Login V1 Auth Portal Login Post"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/portal/request-magic-code
Portal Request Magic Code
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PortalMagicCodeRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/MagicCodeResponse"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/portal/verify-2fa
Portal Verify 2Fa
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Verify2FAPayload"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/Token"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/approve-2fa
Approve 2Fa Route
Request Body
{
"content": {
"application/json": {
"schema": {
"additionalProperties": true,
"type": "object",
"title": "Data"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/reject-2fa
Reject 2Fa Route
Request Body
{
"content": {
"application/json": {
"schema": {
"additionalProperties": true,
"type": "object",
"title": "Data"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
GET
/v1/auth/login-status
Login Status Route
Parameters
email*
in: query
session_id*
in: query
Responses
200Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/portal/forgot-password
Portal Forgot Password
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PortalForgotPasswordRequest"
}
}
},
"required": true
}Responses
201Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
GET
/v1/auth/portal/reset-callback
Portal Reset Callback
Parameters
token*
in: query
portal_id*
in: query
Responses
200Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/portal/reset-password
Portal Reset Password
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PortalResetPasswordRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/login-as-user
Login As
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LoginAsRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/Token"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner
POST
/v1/auth/request-magic-code
Request Magic Code Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MagicCodeRequest"
}
}
},
"required": true
}Responses
200Successful Response
application/json
{
"$ref": "#/components/schemas/MagicCodeResponse"
}404Not found
422Validation Error
application/json
{
"$ref": "#/components/schemas/HTTPValidationError"
}API Runner